# HG changeset patch
# User David Holsgrove <david.holsgrove@xilinx.com>
# Date 1350459160 -36000
# Node ID 707a3b3577ddd02942ab095eec1d0c6625e6c367
# Parent  0ff6e8092d6d372af27a5b5d632127d152d69406
libc/{,e}glibc: Add CUSTOM version, CUSTOM_LOCATION config options and GetCustom

CUSTOM_LOCATION config options only presented in menuconfig if component
CUSTOM version selected.

Signed-off-by: "David Holsgrove" <david.holsgrove@xilinx.com>

diff -r 0ff6e8092d6d -r 707a3b3577dd scripts/build/libc/glibc-eglibc.sh-common
--- a/scripts/build/libc/glibc-eglibc.sh-common	Wed Oct 17 17:32:39 2012 +1000
+++ b/scripts/build/libc/glibc-eglibc.sh-common	Wed Oct 17 17:32:40 2012 +1000
@@ -4,10 +4,16 @@
 do_libc_extract() {
     local addon
 
-    # Extract the main tarball
-    CT_Extract "${CT_LIBC}-${CT_LIBC_VERSION}"
+    # Attempt CT_EXTRACT only if NOT custom, or CUSTOM_LOCATION is not a directory
+    if [ "${CT_LIBC_CUSTOM}" != "y" \
+         -o ! -d "${CT_LIBC_CUSTOM_LOCATION}" ]; then
+        CT_Extract "${CT_LIBC}-${CT_LIBC_VERSION}"
+    fi
     CT_Pushd "${CT_SRC_DIR}/${CT_LIBC}-${CT_LIBC_VERSION}"
-    CT_Patch nochdir "${CT_LIBC}" "${CT_LIBC_VERSION}"
+    # Attempt CT_PATCH only if NOT custom
+    if [ "${CT_LIBC_CUSTOM}" != "y" ]; then
+        CT_Patch nochdir "${CT_LIBC}" "${CT_LIBC_VERSION}"
+    fi
 
     # Extract the add-opns
     for addon in $(do_libc_add_ons_list " "); do
